WinShopAPI docs
ReferenceDocumentsExpeditionDelivery notes

Add items to a delivery note

Appends the items in the body to an existing delivery note and recalculates the document totals. Requires `Permissions.DeliveryNotes.Create`.

POST
/api/documents/expedition/delivery-notes/{documentId}/items

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Request Body

application/json
  1. body
[index: integer]?

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/documents/expedition/delivery-notes/0/items' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "customerId": 1,  "items": [    {      "price": 302.5,      "priceWoVat": 250,      "productId": 5,      "quantityIssued": 100,      "unitIdIssued": 1,      "vatRate": 21    }  ],  "warehouseId": 2}'
null